## Utilities

Utilities — version and debugging functions

## Stability Level

Stable, unless otherwise indicated

## Functions

void | spice_util_set_debug ()
const gchar * | spice_util_get_version_string ()
gchar * | spice_uuid_to_string ()

## Includes

    #include <spice-client.h>

## Description

Various functions for debugging and informational purposes.

## Functions

### spice_util_set_debug ()

    void
    spice_util_set_debug (gboolean enabled);

Enable or disable Spice-GTK debugging messages.

#### Parameters

enabled | `TRUE` or `FALSE` |

### spice_util_get_version_string ()

    const gchar *
    spice_util_get_version_string (void);

Gets the version string

#### Returns

Spice-GTK version as a const string.

### spice_uuid_to_string ()

    gchar *
    spice_uuid_to_string (const guint8 uuid[16]);

Creates a string representation of `uuid` , of the form "06e023d5-86d8-420e-8103-383e4566087a"

#### Parameters

uuid | UUID byte array |

#### Returns

A string that should be freed with `g_free()`.

Since: 0.22

## Types and Values